Subject: Re: [IAOC] Proposed IAOC Administrative Procedures

From: Bob Hinden <[email-masked]>
Date: Wed, 2 Jun 2010 10:50:43 -0700

John,

The IAOC's intent in creating these "proposed IAOC administrative procedures" was to write down what we were doing in areas where we thought BCP101 wasn't clear to us or didn't specify anything, and then get feed back from the community.   We were not trying to revise or alter BCP101.  We wanted this to be transparent to the community.  From the comments received so far, I think this wasn't clear enough and we will try to have the next version make this clearer.

Regarding the minutes, what can I say except mea maxima culpa.  We have fallen behind and will try hard to get caught up between now and Maastricht.  

Bob Hinden
IAOC Chair

On May 29, 2010, at 5:28 PM, John C Klensin wrote:

> 
> 
> --On Friday, May 28, 2010 10:15 -0700 IETF Administrative
> Director <[email-masked]> wrote:
> 
>> All;
>> 
>> The IAOC is considering the adoption of IAOC Administrative
>> Procedures and seeks your comments before adoption.  These
>> procedures address such matters as quorums, voting, election
>> and removal of the chair, compensation and expenses, and
>> recusal.  
>> 
>> The proposed procedures are set out below to facilitate your
>> review and comment.
> 
> Hi.
> 
> While I appreciate the opportunity to review this document, I
> think several elements of it are not merely ill-conceived but
> improper.  Several of the reasons have been given by others but,
> at the risk of repeating:
> 
> (1) The IAOC does not have any authority to alter, update,
> restate, modify, or clarify BCP 101.  It should avoid text that
> appears to do so, even if the intent is simply to summarize,
> because inadvertent conflicts and confusion are an inevitable
> consequence of doing so.  In addition to the examples I remember
> being given by Ted Hardie and others...
> 
> (1a) The IAOC may decide to not appoint the IAB or IETF Chairs
> or the ISOC appointee as IAOC Chair, and I think that those
> people would be ill-advised to accept the role for several
> reasons.  But BCP 101 is quite clear on the latter and arguably
> clear on the other two: the text says "shall select one of its
> appointed voting members...".  Clearly the ISOC-appointed member
> is qualified; the text uses exactly the same terminology to
> describe that person as it does the Nomcom, IESG, and IAB
> appointees, only the appointing body is different.  There is
> some ambiguity about the ex-officio voting members -- clearly
> they are appointed by someone.  If the IAOC is convinced that
> BCP 101 needs modification, I think the community should see an
> I-D proposing such an update, to be processed via the usual
> consensus process.  Trying to make the change via a supposed
> administrative procedure document is just improper.
> 
> (1b)  The responsibility and accountability relationships are
> also fairly clear in BCP 101 ("...those members do not directly
> represent the bodies that chose them.  All members of the IAOC
> are accountable directly to the IETF community....".  Trying to
> clarify this can easily change its sense.  In particular,
> Section 9 of the new proposal (in addition to issue with
> "disinterested") implies a slightly different set of criteria.
> In addition to the issues mentioned in other notes, Section 9
> reopens the question of the role of the IAB and IESG Chairs as
> ex-officio members of the IAOC.  They are either there to
> represent the perspectives of the IAB and IESG and the IAOC's
> perspective back to the relevant bodies (which those "appointed"
> by those bodies explicitly are not) or the justification for
> having those two people ex-officio in those positions
> disappears.  If the IAOC believes that should be changed, then,
> again, the IAOC should make a proposal to the community for
> discussion and approval under the normal consensus procedures.
> I note that one such proposal was put on the table some months
> ago but that the relevant Area Director made it clear that he
> had no intention of letting the community consider it.
> 
> (1c)  The proposed text says "d. The Chair shall (i) have the
> authority to manage the activities of the IAOC and (ii) convene
> and preside over meetings of the IAOC, but shall have no other
> powers or authority beyond his or her powers as an IAOC member."
> But BCP 101 indicates that requests "for review should be should
> be addressed to the IAOC chair...", which implies at least one
> additional piece of "power or authority".  Again, it seems
> inappropriate for this type of document to restart BCP 101
> provisions in a way that could be interpreted as changing them.
> 
> (1d) While I think clear conflict of interest and disclosure
> provisions are a good idea (and I'm actually supportive of Sam's
> formulation), BCP 101 appears to be comprehensive wrt the
> qualifications or IAOC membership.  If there is any language in
> it that says "the IAOC may impose additional requirements on its
> membership", I can't find it.  If the IAOC imposes a disclosure
> requirement and some member ignores it, the only thing the other
> IAOC members can do about it is to initiate or foment a recall
> action.  The Nomcom, IAB, IESG, or ISOC BoT can fairly clearly
> impose disclosure requirements as part of their selection
> process, but cannot enforce later disclosures except, again, by
> recall.  If the community doesn't like that (and I think it
> shouldn't like it), then we need to open BCP 101 via the usual
> procedures.  About the most the IAOC can do is establish a
> voluntary procedure for such disclosures... which is certainly
> not what the current proposed language does.
> 
> 
> (2) The IAOC is in breach of its responsibilities to the IETF
> community as specified in BCP 101 as well as commitments it
> made, with some fanfare, about a year ago.  Despite promises
> that minutes would more accurately and comprehensively reflect
> decisions and considerations and that they be brought up to date
> and kept up to date, and that professional staff was being used
> to facilitate that, we are now back to having minutes running
> some months behind.  That is particularly important to this case
> because the community is, IMO, entitled to see discussion in the
> minutes of the IAOC decision to create this document and its
> evolution, not simply see a "here it is, please comment" note
> from the IAD.  Until the minutes are current, and kept current,
> I do not believe that IAOC should be producing new procedural
> documents, nor that the community should approve them, at least
> without a clear exposition of the problems being solved and
> evidence that there is an emergency (of course, if there were
> minutes, I assume we would find both there).
> 
>    john
> 
> 
> _______________________________________________
> IAOC mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iaoc

---

From: Dave CROCKER <[email-masked]>
Date: Wed, 02 Jun 2010 11:28:03 -0700

On 6/2/2010 10:50 AM, Bob Hinden wrote:
> The IAOC's intent in creating these "proposed IAOC administrative procedures"
> was to write down what we were doing in areas where we thought BCP101 wasn't
> clear to us or didn't specify anything, and then get feed back from the
> community.   We were not trying to revise or alter BCP101.  We wanted this to
> be transparent to the community.

That matches my own sense of what you folks were/are doing and the basis upon 
which you are "authorized" for doing it.

My own reading of the responses that were posted publicly is that any criticisms 
are about its details, not about its premise.

There is always a layering of authority and authorizing documentation, for 
formal activities.  Articles of incorporation vs. Bylaws vs. Operating 
Procedures, for example.  Some of their scope and authority is imposed from 
above, such as a State's laws governing the articles of incorporation.

But there is always quite a bit of freedom to tailor things according to a 
group's culture.  A Bylaws might require all members to approve everything, or 
it might leave all operational authority with the Board of directors, or...

Simply put, things can range of pure democracy to purely representational, and 
from default prohibit to default allow (with or without the possibility of 
reversal.)

Almost all of the authorizing documents in the IETF go into great detail about 
the formation and structure of a group but say little about its internal 
operations.  IAB, IESG, IAOC, Nomcom, and even working groups.  (For example, 
for "IETF Working Group Guidelines and Procedures", we included discussion of 
some aspects of how a working group might choose to operate, but dictated 
essentially none of that detail.)

The common model in the IETF is to allow quite a bit of freedom for a group to 
take initiative on the details of its own operation.  For most things, we do not 
even require prior announcement.  It's always reasonable for a community like 
ours to reconsider our model of operation, but I haven't seen much community 
interest in pursuing such major changes.

In light of that, the process the IAOC is following here is significantly 
/better/ than our history and formal rules require, in terms of trying to lock 
down essential details but also in terms of making this effort transparent to 
the community and giving the community an opportunity to review things.

If there is a groundswell of objection to the IAOC initiative, then indeed the 
IAOC should reconsider its initiative.  And the IAOC's approach to developing 
and implementing this nicely enables that possibility.

But as I say, so far the groundswell I've seen is about the details, not the 
premise.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Doug Barton <[email-masked]>
Date: Wed, 02 Jun 2010 20:11:30 -0700

On 06/02/10 10:50, Bob Hinden wrote:
> The IAOC's intent in creating these "proposed IAOC administrative
> procedures" was to write down what we were doing in areas where we
> thought BCP101 wasn't clear to us or didn't specify anything, and
> then get feed back from the community.   We were not trying to revise
> or alter BCP101.  We wanted this to be transparent to the community.
> From the comments received so far, I think this wasn't clear enough
> and we will try to have the next version make this clearer.
>
> Regarding the minutes, what can I say except mea maxima culpa.  We
> have fallen behind and will try hard to get caught up between now and
> Maastricht.

Bob,

I think it's probably safe to assume that your actual goal in this 
effort was to promote transparency. Given that as a goal, one wonders if 
there are any activities in that category that should have a higher 
priority than producing thorough and up to date minutes, which the 
community has repeatedly asked for, and which you have promised to produce.

Put another way, given that there are only so many hours in the day I 
have a hard time imagining why you would choose to spend some of them 
working on this document instead of working on the minutes. Of course, 
if there was some overwhelming demand from the community for an 
administrative procedures document that I'm not aware of, I'd appreciate 
a pointer so that I can get up to speed.

Doug

-- 

	... and that's just a little bit of history repeating.
			-- Propellerheads

	Improve the effectiveness of your Internet presence with
	a domain name makeover!    http://SupersetSolutions.com/

---

From: Ed Juskevicius <[email-masked]>
Date: Wed, 2 Jun 2010 23:47:21 -0400

Bob, is this a *new* Administrative Procedures document (for the IAOC), or a
proposed revision to an existing document that was produced some number of
years ago?  If the former, then perhaps the message that launched this
thread should have said something like "the IAOC is considering an update to
its administrative procedures, and would like community feedback on the
proposed revisions."

Just wondering ...

Regards,

Ed  J.

On Wed, Jun 2, 2010 at 11:11 PM, Doug Barton <[email-masked]> wrote:

> I think it's probably safe to assume that your actual goal in this effort
> was to promote transparency. Given that as a goal, one wonders if there are
> any activities in that category that should have a higher priority than
> producing thorough and up to date minutes, which the community has
> repeatedly asked for, and which you have promised to produce.
>
> Put another way, given that there are only so many hours in the day I have
> a hard time imagining why you would choose to spend some of them working on
> this document instead of working on the minutes. Of course, if there was
> some overwhelming demand from the community for an administrative procedures
> document that I'm not aware of, I'd appreciate a pointer so that I can get
> up to speed.
>
>
> Doug
>
> --
>
>        a domain name makeover!    http://SupersetSolutions.com/<http://supersetsolutions.com/>
>
>
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>

---

From: joel jaeggli <[email-masked]>
Date: Wed, 02 Jun 2010 21:07:17 -0700

> a pointer so that I can get up to speed.

We're so quick to forget the problem statement wg, the gen area, ADVCOMM 
and how it became necessary  that we create the IAOC in the first place.

With Apologies to the late Harry Gaz I think it went something like this:

      Captain Murphy: Until we find the thief, I am declaring Martian
      law!

      Sparks: Um, I think its martial law.

      Captain Murphy: Silence! Under Martian law... uh... what are my
      powers, exactly?

      Sparks: Under martial law, you could suspend habeas corpus,
      empower a posse comitatus...

      Captain Murphy: That's crap. Mars is wild, untamed. I'm forming a
      cadre of Martian knights charged with enforcing Martian law.

Check the IETF 58 plenary minutes.

For what it's worth I think the IAOC should work on clarity of 
communication and transparency, and further I think that when the 
subject of "whether this is worth paying attention to" or "why do we 
have to cope with this boring adminstrative detail," comes up, the 
answer to the questioner is, that you either weren't around for or 
choose not to recall the bad old days, both of of which are 
understandable and forgivable omissions.

joel

---

From: John C Klensin <[email-masked]>
Date: Fri, 04 Jun 2010 02:11:28 -0400

--On Wednesday, June 02, 2010 20:11 -0700 Doug Barton
<[email-masked]> wrote:

>...
>> Regarding the minutes, what can I say except mea maxima
>> culpa.  We have fallen behind and will try hard to get caught
>> up between now and Maastricht.
> 
> Bob,
> 
> I think it's probably safe to assume that your actual goal in
> this effort was to promote transparency. Given that as a goal,
> one wonders if there are any activities in that category that
> should have a higher priority than producing thorough and up
> to date minutes, which the community has repeatedly asked for,
> and which you have promised to produce.
> 
> Put another way, given that there are only so many hours in
> the day I have a hard time imagining why you would choose to
> spend some of them working on this document instead of working
> on the minutes. Of course, if there was some overwhelming
> demand from the community for an administrative procedures
> document that I'm not aware of, I'd appreciate a pointer so
> that I can get up to speed.

Perhaps modulo Doug's closing touch of humor, exactly.  

One subject on which BCP 101 --and, as Joel points out, the
discussions leading up to the IASA-- is the IAOC's absolute
obligation to transparency, including especially timely and
informative minutes.  There isn't any provision for "get
everything else the IAOC thinks is important done first and then
either get around to the minutes or be really apologetic about
their absence".  Absent an emergency that you are willing to
explain to the community (in a timely way) as requiring a
deviation from the rules, the IAOC's first obligation is to
transparency.

I believe that means that the community should not (and cannot)
be expected to evaluate proposed administrative procedures in
the absence of supporting minutes.  "No minutes" or "minutes not
up-to-date" means that the current IAOC administrative
procedures are failing and that any proposed new procedures are
irrelevant unless they identify the transparency problems
(including slow minutes) and propose solutions that will work.
The observation that we've been here before, that timely minutes
were promised and the community was told that procedures had
been changed to be sure they got produced, and that we are back
with a lag of a few months just reinforces that point.

If the IAOC were to conclude that timely minutes are an
unrealistic expectation, then please come to the community --as
provided for in BCP 101-- and make an alternate proposal.  But,
otherwise, please treat transparency, including timely minutes,
as your first obligation, much higher in your priorities than
tuning administrative procedures.

    john

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Fri, 11 Jun 2010 10:18:26 -0400

It might be useful to distinguish between a conflict of interest and
an adverse interest.

For example, IAOC members are routinely going to have conflicting
duties of confidentiality. If someone claims to have a patent on HTTP
and I am acting as a forensic expert engaged by the defense, I am
going to have certain conflicts and there are going to be discussions
I cannot participate in. But that would be a rather different case
than being engaged by the plaintiff which would be a rather adverse
interest.

On Sat, May 29, 2010 at 11:08 AM, Dave CROCKER <[email-masked]> wrote:
>
>
>
>>> 9.      Members shall at all times act in a disinterested manner and
>>> consider only the benefit to the IETF standards process and community as
>>> a
>>> whole in discussions and decisions. The Members shall promptly disclose
>>> any
>>> material conflict of interest and recuse themselves from related
>>> decisions.
>>
>> While I grok what you mean by "act in a disinterested manner" it sounds a
>> bit if you'd like them to cultivate ennui.  Perhaps "In the discharge of
>> their duties, member shall at all times act only in the interests of the
>> IETF community. Members shall promptly disclose any material conflict of
>> interest, and they will recuse themselves from decisions where such
>> conflict
>> is present."
>
>
> Kudos to the IAOC for developing this draft.
>
> There are two different issues this segment of text ought to cover:
>
>   *  independence
>   *  confidentiality
>
> "Conflict of interest" might be taken to cover both, but probably is assumed
> by
> most folk to cover only the first. Worse, the term is quite generic and an
> average person will not have the background to treat it as a formal term of
> art.
> That is, they will not know how to apply it to the actual details of their
> work.  It's simply not a behaviorally precise term for most people.
>
> That said, it's a familiar term.  So I suggest keeping the term, but
> explicitly
> listing both independence and confidentiality as issues, and also listing
> the
> typical groups that are meant to be excluded from influence and information.
> These are: employers, colleagues, friends and family.  Feel free to expand
> the list...
>
> d/
> --
>
>  Dave Crocker

-- 
Website: http://hallambaker.com/